Name:           stormbaancoureur
Version:        2.1.6
Release:        %mkrel 9
Summary:        Physics-based obstacle course simulation
Group:          Games/Simulation
License:        GPLv3
URL:            http://www.stolk.org/stormbaancoureur/
Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}.6
Source2:        %{name}_32.png
Source3:        %{name}_64.png
Patch0:         stormbaancoureur-2.1.6-mga-makefile.patch
Patch1:         stormbaancoureur-2.1.6-deb-fullscreen-optional.patch

BuildRequires:  pkgconfig(freeglut)
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(ode)
BuildRequires:  plib-devel

%description
Your objective is to drive your car along an obstacle course. Success depends
on total control of the car. If you want to master it, try to have the laws
of physics work with you, not against you.

%prep
%setup -q
%autopatch -p1

%build
%set_build_flags
%make_build -C src-%{name} LIBDIRNAME=%{_lib}

%install
%make_install -C src-%{name}

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Stormbaan Coureur
GenericName=Obstacle course game
Comment=Physics-based obstacle course simulation
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;Simulation;
EOF

install -D -m644 %{_sourcedir}/%{name}.6 %{buildroot}%{_mandir}/man6/%{name}.6

install -D -m644 %{_sourcedir}/%{name}_32.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -D -m644 %{_sourcedir}/%{name}_64.png %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png

%files
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}.6*


%changelog
* Thu Mar 31 2022 umeabot <umeabot> 2.1.6-9.mga9
+ Revision: 1836023
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 2.1.6-8.mga8
+ Revision: 1524232
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Wed Mar 27 2019 daviddavid <daviddavid> 2.1.6-7.mga7
+ Revision: 1380509
- rebuild for new ode 0.16
- fix comment key value from desktop file

* Sun Sep 23 2018 umeabot <umeabot> 2.1.6-6.mga7
+ Revision: 1301210
- Mageia 7 Mass Rebuild

* Thu May 25 2017 akien <akien> 2.1.6-5.mga6
+ Revision: 1104627
- Rebuild for ode 0.15.2

* Sun Nov 13 2016 akien <akien> 2.1.6-4.mga6
+ Revision: 1066993
- Rebuild for new libode

* Tue Feb 09 2016 umeabot <umeabot> 2.1.6-3.mga6
+ Revision: 951396
- Mageia 6 Mass Rebuild

* Sat Dec 27 2014 akien <akien> 2.1.6-2.mga5
+ Revision: 806576
- Rebuild for ODE

* Mon Dec 22 2014 akien <akien> 2.1.6-1.mga5
+ Revision: 804956
- imported package stormbaancoureur

